SHEBANG
# Copyright @BABOLO (C)2002,2003, Michael Deryugin (C)2004
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the distribution.
#
# THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
# ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
# IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
# ARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
# FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
# DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
# OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
# HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
# LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
# OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
# SUCH DAMAGE.
#
# $Id: up-poponly.m4,v 1.1 2004/08/06 14:46:42 dem Exp $

JNTROSTUP(qmail,-poponly,dnl
,dnl
# jailup ${inclass} dir jailname jailaddr
#     where jailname - hostname for jail (see jail(2) hostname)
#           jailaddr - IP addr for jail (see jail(2) ip_number)
#           dir relative to ${JAILUPDIR} and ${JAILRODIR}
# installed ports/mail/qmail or ports/mail/qmail-tls
#           ports/security/checkpassword
#           ports/security/xinetd
#                                                   useddnl
)

this=${UPLIBDIR}/${genclass}
TEMPLATE=${this}/template
MTREE=${this}/mtree${suffix}
jdir="${1}"
jailsname="${2}"
jailsaddr="${3}"
main_dir="${JAILUPDIR}/${jdir}"
conf_dir="${JAILRODIR}/${jdir}"

${up_mdir} "${main_dir}" ${MTREE}
ETCOPY(host.conf hosts resolv.conf protocols auth.conf)

${up_shlib} "${main_dir}/usr/lib" << "EOF"
    c crypt m wrap
EOF

${up_libexe} "${main_dir}/usr/libexec" << EOF
    ld-elf.so.1
    xinetd
EOF

${up_genlist} var/qmail/bin/ ${MTREE} | ${up_exec} "${main_dir}/var/qmail/bin" "/var/qmail/bin"


      #####################################
      ####                             ####
      #### Begin of etc fill           ####
      ####                             ####
${up_ponf} "${conf_dir}/q-pop" << "EOF"
defaults
{
	log_type	= SYSLOG daemon
	log_on_success	= PID HOST DURATION
	log_on_failure	= HOST
}

service pop3
{
	type		= UNLISTED
	protocol	= tcp
	socket_type	= stream
	port		= 110
	wait		= no
	user		= root
	group		= nogroup
	instances	= 200
	server		= /var/qmail/bin/qmail-popup
	server_args	= some.server /var/qmail/bin/checkpassword /var/qmail/bin/qmail-pop3d Maildir
}
EOF

${up_ponf} "${conf_dir}/group" << "EOF"
wheel:*:0:root
nogroup:*:65533:
nobody:*:65534:
qmail:*:82:
qnofiles:*:81:
EOF

${up_ponf} "${conf_dir}/master.template" << "EOF"
root:*:0:0::0:0:Charlie &:/:/nonexistent
nobody:*:65534:65534::0:0:Unprivileged user:/nonexistent:/nonexistent
alias:*:81:81::0:0:Qmailalias:/var/qmail/alias:/nonexistent
qmaill:*:83:81::0:0:Qmail l:/var/qmail:/nonexistent
qmaild:*:82:81::0:0:Qmail d:/var/qmail:/nonexistent
qmailp:*:84:81::0:0:Qmail p:/var/qmail:/nonexistent
qmailq:*:85:82::0:0:Qmail q:/var/qmail:/nonexistent
qmailr:*:86:82::0:0:Qmail r:/var/qmail:/nonexistent
qmails:*:87:82::0:0:Qmail s:/var/qmail:/nonexistent
EOF

if  [ ! -e "${conf_dir}/master.passwd" ]; then
    ${cp} -p "${conf_dir}/master.template" "${conf_dir}/master.passwd"
fi
      ####                             ####
      #### End of etc fill             ####
      ####                             ####
      #####################################

${up_mtree} "${main_dir}" ${MTREE}
${mtree} -Ueqxp "${conf_dir}" << "EOF"
/set type=file uname=root gname=wheel mode=0644 flags=none
.				type=dir mode=0755
    auth.conf
    group
    host.conf
    hosts
    localtime
    master.passwd		mode=0600
    master.template		mode=0600
    protocols
    q-pop
    resolv.conf
..
EOF

${pwd_mkdb} -d "${conf_dir}" -p "${conf_dir}/master.passwd"

${cat} << EOF >> "${genconfig}"

#${genclass}	xinetd		${jdir}	${jailsname}	${jailsaddr}	0	0	0	q-pop
EOF
      #####################################
      ####                             ####
      #### Begin of fstab mod          ####
      ####                             ####
${cat} << EOF >> "${etcdir}/fstab"
#/null			${main_dir}/dev	null	ro,noexec	0 0
#${conf_dir}		${main_dir}/etc	null	ro,nodev,noexec	0 0
EOF
      ####                             ####
      #### End of fstab mod            ####
      ####                             ####
      #####################################
